## kfreebsd-kernel-headers 0.77

=== test/Makefile ===
TESTS = \
	cpufunc.o \
	soundcard.o \
	usb.o \
	$()

CFLAGS = -I../debian/kfreebsd-kernel-headers/usr/include

all: $(TESTS)

clean:
	rm -f $(TESTS)

## kfreebsd-kernel-headers 0.34

=== debian/changelog ===
kfreebsd-kernel-headers (0.34) unstable; urgency=low

  [ Petr Salinger ]
  * fixup i386/include/pcb.h
  * fixup Vcs-Browse field

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jun 2009 09:59:13 +0200

kfreebsd-kernel-headers (0.33) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.2
  * define types cpuwhich_t, cpulevel_t, cpusetid_t
  * add Vcs-* fields into debian/control.
  
  [ Aurelien Jarno ]
  * Install <sys/bitstring.h>.
  * debian/control: switch to section kernel.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * Use debhelper to create directories.
  * Use debhelper to install headers.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Jun 2009 11:20:17 +0200

kfreebsd-kernel-headers (0.32) unstable; urgency=low

  * Upload to unstable. 
  * Switch to debhelper 5.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Apr 2009 15:58:50 +0200

kfreebsd-kernel-headers (0.31) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.1
  * debian/includes.list: update for kfreebsd-7.1

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 Jan 2009 10:15:55 +0100

kfreebsd-kernel-headers (0.30) unreleased; urgency=low

  * debian/patches/*: convert to patchlevel p1 as requested by the new
    dpkg-source.
  * debian/includes.list: update for kfreebsd-7.
  * debian/links: provide a compat symlink for usr/include/isofs/cd9660.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 22:08:02 +0200

kfreebsd-kernel-headers (0.29) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.0

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2008 13:53:56 +0200

kfreebsd-kernel-headers (0.28) unreleased; urgency=low

  [ Petr Salinger ]
  * vnode.h fix needed by libgtop2

  [ Aurelien Jarno ]
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Mar 2008 18:52:50 +0200

kfreebsd-kernel-headers (0.27) unreleased; urgency=low

  [ Petr Salinger ]
  * Add build-dependency on quilt, and use quilt in debian/rules
  * Based on kfreebsd-source-6.3
  * Export <sys/lock_profile.h> and <sys/_sx.h>, needed by newer kvm
  * fixes needed by libgtop2

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Jan 2008 16:41:04 +0100

kfreebsd-kernel-headers (0.26) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.2
  * export <sys/tree.h> and <net/pfvar.h>, needed by pf

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jan 2007 12:28:21 +0100

kfreebsd-kernel-headers (0.25) unreleased; urgency=low

  * Add bi-arch support for i386 and amd64.
  * Bumped build-dependency on kfreebsd-source-6.1 to (>= 6.1-3)
    to make sure the CVS/ directories are removed.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Jan 2007 23:23:37 +0100

kfreebsd-kernel-headers (0.24) unreleased; urgency=low

  * Small fix for kfreebsd-amd64. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Dec 2006 20:25:40 +0100

kfreebsd-kernel-headers (0.23) unreleased; urgency=low

  [ Petr Salinger ]
  * mini cleanup
  * fix <sys/fbio.h>, would be needed by fixed elinks
  * fix <sys/conf.h>, would be needed by fixed soundmodem

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Dec 2006 12:37:06 +0100

kfreebsd-kernel-headers (0.22) unreleased; urgency=low

  [ Petr Salinger ]
  * sync <sys/ioccom.h> with <sys/ioctl.h>, needed by darkice due to "-pedantic"
  * fix  <sys/iconv.h>,  needed by wv2
  * fix  <dev/acpica/acpiio.h>, needed by gnome-applets
  * move <sys/ktrace.h> from libc0.1-dev

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2006 14:53:41 +0100

kfreebsd-kernel-headers (0.21) unreleased; urgency=low

  [ Petr Salinger ]
  * fix <sys/ata.h>, needed by smartmontools

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2006 17:09:17 +0100

kfreebsd-kernel-headers (0.20) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.1
  * export headers from bsm subdir
  * fix <sys/buf.h>, <net80211/ieee80211.h>

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.2 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  5 Sep 2006 01:04:45 +0200

kfreebsd-kernel-headers (0.18) unreleased; urgency=low

  [ Petr Salinger ]
  * workaround glibc behaviour of __CONCAT() macro
  * drop 004_sys_ioctl_compat_h.diff
  * misc cleanup of patches

  [ Robert Millan ]
  Fixes by Andraz (Note: his "z" is actualy a "caron z" thingy, he really wanted
  me to write that down ;):
  * Add sys/iconv.h.
  * patches/004_stdint_h.diff:  Include <stdint.h> for ieee80211.h.

  [ Aurelien Jarno ]
  * 012_strace.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed,  3 May 2006 22:17:48 +0200

kfreebsd-kernel-headers (0.17) unreleased; urgency=low

  * 015_cam.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 29 Mar 2006 20:31:45 +0200

kfreebsd-kernel-headers (0.16) unreleased; urgency=low

  [ Robert Millan ]
  * control (Architecture): Add kfreebsd-amd64.
  * patches/011_wine.diff: Add more elf header fixes.
  * Fix altq path (it's in sys/contrib/ now).
  * Install full nfsclient dir.
  * Add sys/mdioctl.h (needed for mdconfig).

  [ Aurelien Jarno ]
  * Remove sys/acl.h, it should be provided by libacl instead.
  * Fix machine/_types.h on kfreebsd-amd64 the same way as on kfreebsd-i386.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Mar 2006 18:59:21 +0100

kfreebsd-kernel-headers (0.15) unreleased; urgency=low

  * patches/007_kvm.diff: Remove second hunk (not needed, and actualy
    breaks stuff).
  * includes.list: Add sys/lockmgr.h, and altq, ufs and vm as complete
    directories.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 16 Feb 2006 13:17:38 +0100

kfreebsd-kernel-headers (0.14) unreleased; urgency=low

  * Remove sys/dirent.h 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Jan 2006 11:36:20 +0100



=== debian/control ===
Source: kfreebsd-kernel-headers
Section: kernel
Priority: standard
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-7.2
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
Standards-Version: 3.8.1

Package: kfreebsd-kernel-headers
Architecture: kfreebsd-i386 kfreebsd-amd64
Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
Conflicts: kfreebsd-headers
Description: kernel of FreeBSD headers for development
 This package provides headers from the kernel of FreeBSD. These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

kfreebsd_cpu	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
SRC_TAR		:= /usr/src/kfreebsd-source-7.2.tar.bz2
SRC_DIR		:= kfreebsd-source-7.2

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf kfreebsd-source-* 
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	
	tar xfj $(SRC_TAR)

	cd $(SRC_DIR) && QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install --sourcedir=$(SRC_DIR)

ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
	sh debian/generate-asm.sh $(kfreebsd_cpu) $(SRC_DIR)/sys $(HEADERS_PACKAGE)/usr/include
else
	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
	cd $(SRC_DIR)/sys/$(kfreebsd_cpu)/include \
		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime	
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kfreebsd-kernel-headers 0.47

=== debian/changelog ===
kfreebsd-kernel-headers (0.47) unstable; urgency=low

  * Replace __GNUCLIKE* preprocessor tests with __GNUC__.
  * Add ${misc:Depends} to depends.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jan 2010 12:13:19 +0100

kfreebsd-kernel-headers (0.46) unstable; urgency=low

  [ Petr Salinger ]
  * Add <legacy/dev/usb/usb.h>
  * Add #include <stdint.h> into <dev/ciss/cissio.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Dec 2009 07:36:36 +0100

kfreebsd-kernel-headers (0.45) unstable; urgency=low

  [ Petr Salinger ]
  * Small backward compatibility in <dev/usb/usb.h>
  * Fix for libgtop2
  * Include <sys/param.h> from <machine/_types.h>

  [ Aurelien Jarno ]
  * Fix for net-snmp.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Dec 2009 14:07:58 +0100

kfreebsd-kernel-headers (0.44) unstable; urgency=low

  * Install <sys/_lockmgr.h>.
  * Install <cam/ata/*.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Nov 2009 16:43:29 +0100

kfreebsd-kernel-headers (0.43) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.0
  * debian/includes.list: update for kfreebsd-8.0, netstat

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 09:28:12 +0100

kfreebsd-kernel-headers (0.42) unstable; urgency=low

  [ John Stamp ]
  * add missing semicolon in <net/if_var.h>
    Closes: #547777

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Sep 2009 15:49:20 +0200

kfreebsd-kernel-headers (0.41) unstable; urgency=low

  [ Petr Salinger ]
  * fix <sys/devicestat.h>, needed by icecc
  * allow inclusion of <net/if_var.h>, <ifaddrs.h> in both orders

  [ Aurelien Jarno ]
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Sep 2009 10:08:09 +0200

kfreebsd-kernel-headers (0.40) unstable; urgency=low

  * Install <sys/kenv.h> at the right location. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Aug 2009 14:43:56 +0200

kfreebsd-kernel-headers (0.39) unstable; urgency=low
 
  [ Aurelien Jarno ]
  * export <sys/kenv.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 20:39:30 +0200

kfreebsd-kernel-headers (0.38) unstable; urgency=low

  [ Petr Salinger ]
  * fix <net/route.h>, needed by nmap.
  * fix <sys/rtprio.h>, needed by kdebase-workspace
  * fix <machine-i386/cpufunc.h>, needed by piklab

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2009 18:55:28 +0200

kfreebsd-kernel-headers (0.37) unstable; urgency=low

  * Export <sys/endian.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Aug 2009 18:37:41 +0200

kfreebsd-kernel-headers (0.36) unstable; urgency=low

  [ Petr Salinger ]
  * fix <dev/ciss/cissio.h>, needed by smartmontools.

  [ Aurelien Jarno ]
  * export sysctlnametomib() in <sys/sysctl.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Jul 2009 16:29:07 +0200

kfreebsd-kernel-headers (0.35) unstable; urgency=low

  [ Petr Salinger ]
  * add #include <stdint.h> into <sys/pciio.h>
    Closes: #535243.

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 Jul 2009 03:00:44 +0200

=== debian/control ===
Source: kfreebsd-kernel-headers
Section: kernel
Priority: standard
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-8.0
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
Standards-Version: 3.8.3

Package: kfreebsd-kernel-headers
Architecture: kfreebsd-i386 kfreebsd-amd64
Depends: ${misc:Depends} 
Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
Conflicts: kfreebsd-headers
Description: kernel of FreeBSD headers for development
 This package provides headers from the kernel of FreeBSD. These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 kfreebsd_cpu	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
-SRC_TAR		:= /usr/src/kfreebsd-source-7.2.tar.bz2
-SRC_DIR		:= kfreebsd-source-7.2
+SRC_TAR		:= /usr/src/kfreebsd-source-8.0.tar.bz2
+SRC_DIR		:= kfreebsd-source-8.0
 
 clean:
 	dh_testdir
@@ -34,6 +34,10 @@
 	dh_clean -k
 	dh_installdirs
 	dh_install --sourcedir=$(SRC_DIR)
+
+	# legacy USB stack
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/legacy/dev/usb
+	install -p $(CURDIR)/debian/legacy-usb/*.h $(HEADERS_PACKAGE)/usr/include/legacy/dev/usb/
 
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
 	sh debian/generate-asm.sh $(kfreebsd_cpu) $(SRC_DIR)/sys $(HEADERS_PACKAGE)/usr/include

## kfreebsd-kernel-headers 0.53

=== debian/changelog ===
kfreebsd-kernel-headers (0.53) unstable; urgency=low

  * Fix <machine/apm_bios.h> by including <stdint.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Jul 2010 07:37:48 +0200

kfreebsd-kernel-headers (0.52) unstable; urgency=low

  * Build-depends on kfreebsd-source-8.1 (>= 8.1-2):
    - Use xz source format.
    - Provide <machine/apm_bios.h>

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:10:51 +0200

kfreebsd-kernel-headers (0.51) unstable; urgency=low

  * Add <sys/refcount.h> (closes: bug#590730).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 01:59:31 +0200

kfreebsd-kernel-headers (0.50) unstable; urgency=low

  * Add <sys/sdt.h> (closes: bug#590628). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jul 2010 20:15:24 +0200

kfreebsd-kernel-headers (0.49) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.1
  * debian/includes.list: update for kfreebsd-8.1

  [ Aurelien Jarno ]
  * Bump Standards-Version to 3.9.1.
  * Update debian/copyright. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Jul 2010 16:42:07 +0200

kfreebsd-kernel-headers (0.48) unstable; urgency=low

  * Add #include <stdint.h> into <net80211/_ieee80211.h> (closes: bug#
    569628). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 Feb 2010 13:27:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: standard
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-8.0
+Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-8.1 (>= 8.1-2)
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: kfreebsd-kernel-headers
 Architecture: kfreebsd-i386 kfreebsd-amd64

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 kfreebsd_cpu	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
-SRC_TAR		:= /usr/src/kfreebsd-source-8.0.tar.bz2
-SRC_DIR		:= kfreebsd-source-8.0
+SRC_TAR		:= /usr/src/kfreebsd-source-8.1.tar.xz
+SRC_DIR		:= kfreebsd-source-8.1
 
 clean:
 	dh_testdir
@@ -22,7 +22,7 @@
 build-stamp:
 	dh_testdir
 	
-	tar xfj $(SRC_TAR)
+	tar xfJ $(SRC_TAR)
 
 	cd $(SRC_DIR) && QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a

## kfreebsd-kernel-headers 0.56

=== debian/changelog ===
kfreebsd-kernel-headers (0.56) unstable; urgency=low

  * Remove <sys/sbuf.h> again, now that libsbuf-dev provides a usable
    header.
  * Fix gratuitous "#include <sys/sbuf.h>" in <geom/geom.h>.
  * Add sys/fs/nfs/*.h, sys/nfs/*.h and sys/nfsserver/*.h.  (Closes:
    #629562)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 18:32:30 +0200

kfreebsd-kernel-headers (0.55) unstable; urgency=low

  * Swap build-arch and build-indep; install-arch and install-indep targets.
  * Use double underscore protected internal types in <sys/ucred.h> so that
    glibc can access them w/o needing to define _BSD_SOURCE. Closes: #629211
  * Make <sys/sbuf.h> usable while libsbuf-dev does not yet provides its own
    version. Closes: #629444

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 07:32:13 +0200

kfreebsd-kernel-headers (0.54) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.2.
  * Fix __packed in <net80211/ieee80211_ioctl.h> for knemo.
  * Drop <legacy/dev/usb/usb.h>.

  [ Robert Millan ]
  * Add <sys/kerneldump.h> for savecore (freebsd-utils).
  * Start MIPS support.

  [ Guillem Jover ]
  * Unpack the kfreebsd-source tarball directly into the top package
    source directory.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add <sys/_semaphore.h> and <sys/cpuset.h> for <sys/sysproto.h>.
    For now <sys/acl.h> is not included, and libacl-dev should probably
    be used instead, but it might lack needed definitions. Closes: #593553
  * Add <netinet/pim.h>. Closes: #595901
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of deprecated “dh_clean -k”.
  * Remove unused debhelper commands from debian/rules.
  * Switch to source format “3.0 (native)”.
  * Add build-arch, build-indep, install-arch and install-indep targets
    to debian/rules.

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2011 02:41:12 +0200

=== debian/control ===
Source: kfreebsd-kernel-headers
Section: kernel
Priority: standard
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-8.2
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
Standards-Version: 3.9.2

Package: kfreebsd-kernel-headers
Architecture: kfreebsd-any
Depends: ${misc:Depends}
Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
Conflicts: kfreebsd-headers
Description: kernel of FreeBSD headers for development
 This package provides headers from the kernel of FreeBSD. These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
kfreebsd_cpu	:= mips
else
kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
endif

HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
SRC_TAR		:= /usr/src/kfreebsd-source-8.2.tar.xz

clean:
	dh_testdir
	dh_testroot
	rm -rf .pc
	rm -f *-stamp
	rm -rf sys usr.sbin
	dh_clean

.PHONY: clean

build-indep:

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	tar xfJ $(SRC_TAR) --strip-components=1

	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2

	touch $@

build: build-indep build-arch

.PHONY: build-indep build-arch build

install-indep: build-indep

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install --sourcedir=$(CURDIR)

ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
else
	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
endif

install: install-indep install-arch

.PHONY: install-indep install-arch install

# Build architecture-independent files here.
binary-indep: install-indep
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary

## kfreebsd-kernel-headers 0.61

=== debian/changelog ===
kfreebsd-kernel-headers (0.61) unstable; urgency=low

  * Remove dev/bktr/*.h, it isn't installed on FreeBSD.
  * Drop conflict on kfreebsd-headers (now a virtual package provided by
    kfreebsd-headers-*).
  * Propagate __FreeBSD_version from sys/param.h to the rest of kernel
    headers.
  * Include <stdint.h> in V4L headers.  (Closes: #649727)

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 18:58:18 +0100

kfreebsd-kernel-headers (0.60) unstable; urgency=low

  * Bring back altq/*.h, which was mistakenly removed in 0.58.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:00:07 +0100

kfreebsd-kernel-headers (0.59) unstable; urgency=low

  * Add sys/netsmb/*.h.

 -- Robert Millan <rmh@debian.org>  Sat, 05 Nov 2011 21:05:33 +0100

kfreebsd-kernel-headers (0.58) unstable; urgency=low

  * Provide v4l headers (from v4l_compat FreeBSD port).
  * Run same sed hack as the kernel currently does, so that kernel one
    can be removed (eventually).
  * Only extract headers from tarball (since only headers are used).
  * Remove unused cruft.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:18:02 +0100

kfreebsd-kernel-headers (0.57) unstable; urgency=low

  * Renable 039_mips_misc.diff.
  * 005_register_t.diff: #include <sys/types.h> in headers that use
    register_t.  (Closes: #637378)
  * 042_sysarch_stubs.diff: Work around missing syscall stubs in libc by
    declaring them as inline functions.  (Closes: #637424)

 -- Robert Millan <rmh@debian.org>  Wed, 17 Aug 2011 11:44:04 +0000

## kfreebsd-kernel-headers 0.62

=== debian/changelog ===
kfreebsd-kernel-headers (0.62) unstable; urgency=low

  * Bring back dev/pci/*.h. Despite that it isn't installed on FreeBSD,
    it is needed by oss4.

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 15:22:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 Package: kfreebsd-kernel-headers
 Architecture: kfreebsd-any
 Depends: ${misc:Depends}
-Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
-Conflicts: kfreebsd-headers
+Replaces: libc0.1-dev (<= 2.3.6.ds1-8)
 Description: kernel of FreeBSD headers for development
  This package provides headers from the kernel of FreeBSD. These headers
  are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,18 @@
 kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
 endif
 
+major=8
+minor=2
+
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
-SRC_TAR		:= /usr/src/kfreebsd-source-8.2.tar.xz
+SRC_TAR		:= /usr/src/kfreebsd-source-$(major).$(minor).tar.xz
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -rf .pc
 	rm -f *-stamp
-	rm -rf sys usr.sbin
+	rm -rf sys usr.sbin linux
 	dh_clean
 
 .PHONY: clean
@@ -32,7 +35,19 @@
 build-arch-stamp:
 	dh_testdir
 
-	tar xfJ $(SRC_TAR) --strip-components=1
+	tar xfJ $(SRC_TAR) --wildcards --strip-components=1 "*.h"
+
+	set -e ; \
+	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
+	find sys -type f | (while read i ; do \
+	sed -i $$i \
+		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__FreeBSD__\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
+		-e 's/__FreeBSD__/$(major)/g' \
+		\
+		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+	; done)
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2

## kfreebsd-kernel-headers 0.69

=== debian/changelog ===
kfreebsd-kernel-headers (0.69) unstable; urgency=low

  * Avoid defining __size_t, as this interacts badly with Glibc (which
    defines it as a macro).

 -- Robert Millan <rmh@debian.org>  Sat, 28 Jan 2012 14:39:42 +0100

kfreebsd-kernel-headers (0.68) unstable; urgency=low

  * Add dev/bktr/ioctl_bt848.h and dev/bktr/ioctl_meteor.h.
    (Closes: #657508)

 -- Robert Millan <rmh@debian.org>  Thu, 26 Jan 2012 19:03:11 +0100

kfreebsd-kernel-headers (0.67) unstable; urgency=low

  * Install geom/raid/*.h.
  * s/time_t/__time_t/ in struct bintime.
  * Fix remaining problems affecting <sys/soundcard.h>.  (Closes: #656947)
    - Check for <sys/cdefs.h> using _SYS_CDEFS_H instead of _SYS_CDEFS_H_.
    - Redefine time_t as "long int" to match with Glibc definition.

 -- Robert Millan <rmh@debian.org>  Wed, 25 Jan 2012 22:03:37 +0100

kfreebsd-kernel-headers (0.66) unstable; urgency=low

  * Redefine clock_t as signed to match with Glibc type.  (Closes: #656947)
  * Cleanup and document type collision fixes, merge them into one patch
    (type_collision.diff), discard unnecessary type removal.

 -- Robert Millan <rmh@debian.org>  Mon, 23 Jan 2012 22:23:53 +0100

kfreebsd-kernel-headers (0.65) unstable; urgency=low

  * Add sys/_callout.h, sys/_cpuset.h and sys/_termios.h.
  * 018_sys__types.diff: Remove cpumask_t, add cap_rights_t.
  * ctltype_quad.diff: Backward compatibility for CTLTYPE_QUAD removal
    in rev 217616.

 -- Robert Millan <rmh@debian.org>  Sat, 21 Jan 2012 00:47:29 +0100

kfreebsd-kernel-headers (0.64) unstable; urgency=low

  * Install x86 directory on i386/amd64.
  * Fixup __aligned and u_(char|short|int|long) with sed rules instead
    of patches.  (Closes: #637715)

 -- Robert Millan <rmh@debian.org>  Wed, 18 Jan 2012 19:43:14 +0100

kfreebsd-kernel-headers (0.63) unstable; urgency=low

  * Upgrade to kFreeBSD 9.0.
  * Replace patches that mangle __packed with a generic sed rule.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Jan 2012 20:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-8.2
+Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-9.0
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
 endif
 
-major=8
-minor=2
+major=9
+minor=0
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
 SRC_TAR		:= /usr/src/kfreebsd-source-$(major).$(minor).tar.xz
@@ -47,6 +47,18 @@
 		-e 's/__FreeBSD__/$(major)/g' \
 		\
 		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+		\
+		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		\
+		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
+		-e 's/__aligned(\([0-9]*\))/ __attribute__((aligned(\1)))/g' \
+		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
+		\
+		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
+		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
+		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
 	; done)
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
@@ -68,6 +80,10 @@
 
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
 	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
+	# Install "x86" directory (only on i386 and amd64).
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/x86
+	cd $(CURDIR)/sys/x86/include \
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/x86 \;
 else
 	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
 	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \

## kfreebsd-kernel-headers 0.70

=== debian/changelog ===
kfreebsd-kernel-headers (0.70) unstable; urgency=low

  [ Steven Chamberlain ]
  * Use broader regex to fix all __aligned issues. (Closes: #656562)

  [ Robert Millan ]
  * Generate osreldate.h dynamically with up-to-date information.
  * Add sys/syscall.h and sys/errno.h.
  * Add net/netisr_internal.h.
  * Stop disabling __size_t in <machine/types.h>. The real problem is
    <stddef.h> defining it as an empty macro, thus all headers using
    __size_t are affected. Fix by regex.
  * Add geom/mountver/*.h.
  * Add net/if_bridgevar.h, net/if_gre.h and net/if_lagg.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:54:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_testroot
 	rm -rf .pc
 	rm -f *-stamp
-	rm -rf sys usr.sbin linux
+	rm -rf sys usr.sbin misc
 	dh_clean
 
 .PHONY: clean
@@ -36,6 +36,7 @@
 	dh_testdir
 
 	tar xfJ $(SRC_TAR) --wildcards --strip-components=1 "*.h"
+	mkdir -p misc
 
 	set -e ; \
 	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
@@ -53,13 +54,16 @@
 		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
 		\
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
-		-e 's/__aligned(\([0-9]*\))/ __attribute__((aligned(\1)))/g' \
+		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
 		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
 		\
 		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
 		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
 		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
-	; done)
+		\
+		-e 's/__size_t/size_t/g' \
+	; done) ; \
+	echo "#define __FreeBSD_kernel_version $$fbsd_version" > misc/osreldate.h
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2

## kfreebsd-kernel-headers 0.71

=== debian/changelog ===
kfreebsd-kernel-headers (0.71) unstable; urgency=low

  * Stop providing sys/syscall.h and sys/errno.h. (Closes: #657810,  
    #657926).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jan 2012 11:07:36 +0100

## kfreebsd-kernel-headers 0.77

=== debian/changelog ===
kfreebsd-kernel-headers (0.77) unstable; urgency=low

  * Remove broken checks that have been re-added recently from
    <sys/syslimits.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Feb 2012 08:50:51 +0100

kfreebsd-kernel-headers (0.76) unstable; urgency=low

  * Glibc semantics for out[bwl] are incompatible, even when the types match!
    Dangerous situation here. I'll try to work it out with upstream. For now
    just revert inclusion of <sys/io.h> which makes the problem less likely
    to happen.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Feb 2012 12:20:49 +0100

kfreebsd-kernel-headers (0.75) unstable; urgency=low

  * Actually give preference to local headers in testsuite (use -I
    rather than -isystem).
  * Include <sys/io.h> in <machine/cpufunc.h> (users expect the
    definitions we removed).
  * Fix collisions in <sys/endian.h>.

 -- Robert Millan <rmh@debian.org>  Sat, 25 Feb 2012 12:58:24 +0100

kfreebsd-kernel-headers (0.74) unstable; urgency=low

  * Misc fixes related to machine/cpufunc.h.  (Closes: #660396)
    - Add sed hack to force __CC_SUPPORTS_* == 1.
    - Remove conflicting declarations for inb(), inw(), outb(), etc.
    - Add new test for machine/cpufunc.h (test/cpufunc.c).

 -- Robert Millan <rmh@debian.org>  Tue, 21 Feb 2012 19:22:58 +0100

kfreebsd-kernel-headers (0.73) unstable; urgency=low

  * Fix "kernel of FreeBSD headers" misnomer.
  * Add testsuite (currently checking OSS and USB headers).
  * 034_usb.diff: Remove (unnecessary compat glue).
  * Install sys/_stdint.h.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:20:23 +0100

kfreebsd-kernel-headers (0.72) unstable; urgency=low

  * Fix <sys/sysctl.h> by making userland and libc definitions consistent.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Feb 2012 13:39:18 +0000

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,9 @@
 	rm -rf .pc
 	rm -f *-stamp
 	rm -rf sys usr.sbin misc
+
+	$(MAKE) -C test clean
+
 	dh_clean
 
 .PHONY: clean
@@ -52,6 +55,10 @@
 		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
 		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
 		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		\
+		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 0/g' \
 		\
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
 		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
@@ -94,6 +101,9 @@
 		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
 endif
 
+	# headers must be tested after they're installed
+	$(MAKE) -C test
+
 install: install-indep install-arch
 
 .PHONY: install-indep install-arch install

## kfreebsd-kernel-headers 0.78

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 TESTS = \
 	cpufunc.o \
+	in_pcb.o \
+	ppp.o \
 	soundcard.o \
 	usb.o \
 	$()

=== debian/changelog ===
kfreebsd-kernel-headers (0.78) unstable; urgency=low

  * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
  * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:16:31 +0100

## kfreebsd-kernel-headers 0.82

=== debian/changelog ===
kfreebsd-kernel-headers (0.82) unstable; urgency=low

  * Convert __GNUCLIKE* feature tests into __GNUC__.  (Closes: #677417)

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jun 2012 21:34:43 +0200

kfreebsd-kernel-headers (0.81) unstable; urgency=low

  * Improve __size_t kludge to make it more compliant with FreeBSD (see
    #673431).
  * Enable "struct bintime" unconditionally, as it is needed by other
    kernel headers.
  * Add test for <sys/devicestat.h> buildability.
  * Unexpose a few more macros which collide with glibc:
    CLOCK_THREAD_CPUTIME_ID, TIMER_RELTIME and TIMER_ABSTIME.
  * Fix NZERO collision.
  * Fix stdarg.h collisions and add a new test (stdarg.c) to detect
    them.
  * Fix unintentional removal of implicit <sys/select.h> include.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:24:52 +0200

kfreebsd-kernel-headers (0.80) unstable; urgency=low

  * Apply s/_SYS_QUEUE_H_/_FREEBSD_SYS_QUEUE_H_/g sed rule to avoid
    collision with GNU <sys/queue.h> header protection.
  * Remove old Biarch support (for -m64) on i386. The rest of toolchain
    doesn't support it, and when it does it'll have to be with Multiarch
    anyway.

 -- Robert Millan <rmh@debian.org>  Sun, 13 May 2012 17:17:57 +0200

kfreebsd-kernel-headers (9.0-1) experimental; urgency=low

  * Install kernel version of <sys/types.h> in an alternate location and
    use it internally for the rest of kernel headers.  Add a pair of new
    tests:
    - type_collision.c: Verify there is no collision with the GNU version
      of <sys/types.h>.
    - uintXX_t.c: Check for uintXX_t type availability (for kernel users).
  * Likewise for <sys/time.h>, <sys/param.h> and <sys/queue.h>.
  * Add -D_GNU_SOURCE to testsuite to probe for collisions more
    aggresively.
  * Fix visibility issues with <sys/limits.h>.
  * Install <sys/elf.h> and add a test to check for conflicts with
    <elf.h>.
  * Remove out[bwl] regex rule. Instead, error out in
    <machine/cpufunc.h> when <sys/io.h> has been included.
  * 011_wine.diff: Only disable ELF declarations that collide with GNU
    ones.

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 22:15:29 +0200

kfreebsd-kernel-headers (0.79) unstable; urgency=low

  * Add sed rule to replace __printflike.
  * Do not remove out[bwl] from <machine/cpufunc.h>, rename them instead
    (and rename their users) to avoid conflict with glibc <sys/io.h>.
    This will help un-breaking <machine/bus.h>.
  * Fix misc buildability problems with <machine/bus.h>, and add
    test/bus.c test to verify it.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Apr 2012 23:16:05 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Architecture: kfreebsd-any
 Depends: ${misc:Depends}
 Replaces: libc0.1-dev (<= 2.3.6.ds1-8)
-Description: kernel of FreeBSD headers for development
+Description: kFreeBSD headers for development
  This package provides headers from the kernel of FreeBSD. These headers
  are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 	mkdir -p misc
 
 	set -e ; \
-	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
 	find sys -type f | (while read i ; do \
 	sed -i $$i \
 		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
@@ -50,27 +49,36 @@
 		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
 		-e 's/__FreeBSD__/$(major)/g' \
 		\
-		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+		-e "s/__FreeBSD_version/__FreeBSD_kernel_version/g" \
 		\
 		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
-		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
-		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if defined(__GNUC__)/g' \
+		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if !defined(__GNUC__)/g' \
 		\
-		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/1/g' \
-		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 1/g' \
-		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 0/g' \
+		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/defined(__GNUC__)/g' \
+		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if defined(__GNUC__)/g' \
+		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if !defined(__GNUC__)/g' \
 		\
+		-e 's/__unused/__attribute__((__unused__))/g' \
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
 		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
 		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
+		-e 's/__printflike(\([0-9]\+\),\s*\([0-9]\+\))/__attribute__((__format__ (__printf__, \1, \2)))/g' \
 		\
 		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
 		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
 		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
 		\
-		-e 's/__size_t/size_t/g' \
+		-e 's/_SYS_QUEUE_H_/_FREEBSD_SYS_QUEUE_H_/g' \
+		\
+		-e 's/#\s*include\s\+<sys\/types\.h>\s*/#include <sys\/kern\/types.h>/g' \
+		-e 's/#\s*include\s\+<sys\/time\.h>\s*/#include <sys\/kern\/time.h>/g' \
+		-e 's/#\s*include\s\+<sys\/param\.h>\s*/#include <sys\/kern\/param.h>/g' \
+		-e 's/#\s*include\s\+<sys\/queue\.h>\s*/#include <sys\/kern\/queue.h>/g' \
+		\
+		-e 's/__size_t/__this_is_a_temporary_kludge__size_t/g' $(shell ## see rev 184135 in GCC SVN ##) \
 	; done) ; \
-	echo "#define __FreeBSD_kernel_version $$fbsd_version" > misc/osreldate.h
+	echo "#include <sys/kern/param.h>" > misc/osreldate.h
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
 
@@ -89,16 +97,19 @@
 	dh_installdirs
 	dh_install --sourcedir=$(CURDIR)
 
+ifneq ($(filter amd64, $(kfreebsd_cpu)),)
+	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
+else
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
+	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
+endif
+
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
-	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
 	# Install "x86" directory (only on i386 and amd64).
 	mkdir -p $(HEADERS_PACKAGE)/usr/include/x86
 	cd $(CURDIR)/sys/x86/include \
 		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/x86 \;
-else
-	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
-	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
-		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
 endif
 
 	# headers must be tested after they're installed

## kfreebsd-kernel-headers 0.83

=== test/Makefile ===
TESTS = \
	type_collision.o \
	time_collision.o \
	param_collision.o \
	limits_collision.o \
	uintXX_t.o \
	\
	bus.o \
	cpufunc.o \
	devicestat.o \
	in_pcb.o \
	ppp.o \
	soundcard.o \
	sys_sysctl.o \
	stdarg.o \
	usb.o \
	$()

#	elf.o

CFLAGS = -Iinclude -I../debian/kfreebsd-kernel-headers/usr/include

# Enable all the stuff in glibc to probe for collisions
CFLAGS += -D_GNU_SOURCE -Werror -Wsystem-headers

all: $(TESTS)

clean:
	rm -f $(TESTS)

=== debian/changelog ===
kfreebsd-kernel-headers (0.83) unstable; urgency=low

  * Include <sys/termios.h> instead of <sys/_termios.h> from <sys/tty.h>
    so that code including both does not fail to build due to redefinition
    of struct termios. (Closes: #700027)

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Mar 2013 04:41:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>
 Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-9.0
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
+Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/branches/wheezy/kfreebsd-kernel-headers/
+Vcs-Svn: svn://svn.debian.org/glibc-bsd/branches/wheezy/kfreebsd-kernel-headers/
 Standards-Version: 3.9.2
 
 Package: kfreebsd-kernel-headers

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 		-e 's/#\s*include\s\+<sys\/time\.h>\s*/#include <sys\/kern\/time.h>/g' \
 		-e 's/#\s*include\s\+<sys\/param\.h>\s*/#include <sys\/kern\/param.h>/g' \
 		-e 's/#\s*include\s\+<sys\/queue\.h>\s*/#include <sys\/kern\/queue.h>/g' \
+		-e 's/#\s*include\s\+<sys\/_termios\.h>\s*/#include <sys\/termios.h>/g' \
 		\
 		-e 's/__size_t/__this_is_a_temporary_kludge__size_t/g' $(shell ## see rev 184135 in GCC SVN ##) \
 	; done) ; \
